<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+--------------------------------------------------------+
Przystosowanie do v7: bartek124
E-Mail: bartek124@php-fusion.pl
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."ip_poll_panel/infusion_db.php";

if (file_exists(INFUSIONS."ip_poll_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."ip_poll_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."ip_poll_panel/locale/English.php";
}

$inf_title = $locale['PLAN_TITLE'];
$inf_description = $locale['PLAN_DESC'];
$inf_version = "1.0";
$inf_developer = "Digitanium & bartek124";
$inf_email = "digitanium@php-fusion.co.uk";
$inf_weburl = "http://www.php-fusion.co.uk";

$inf_folder = "ip_poll_panel";

$inf_newtable[1] = DB_IP_POLLS." (
		poll_id mediumint(8) unsigned NOT NULL auto_increment,
		poll_title varchar(200) NOT NULL default '',
		poll_opt_0 varchar(200) NOT NULL default '',
		poll_opt_1 varchar(200) NOT NULL default '',
		poll_opt_2 varchar(200) NOT NULL default '',
		poll_opt_3 varchar(200) NOT NULL default '',
		poll_opt_4 varchar(200) NOT NULL default '',
		poll_opt_5 varchar(200) NOT NULL default '',
		poll_opt_6 varchar(200) NOT NULL default '',
		poll_opt_7 varchar(200) NOT NULL default '',
		poll_opt_8 varchar(200) NOT NULL default '',
		poll_opt_9 varchar(200) NOT NULL default '',
		poll_opt_10 varchar(200) NOT NULL default '',
		poll_opt_11 varchar(200) NOT NULL default '',
		poll_opt_12 varchar(200) NOT NULL default '',
		poll_opt_13 varchar(200) NOT NULL default '',
		poll_opt_14 varchar(200) NOT NULL default '',
		poll_opt_15 varchar(200) NOT NULL default '',
		poll_opt_16 varchar(200) NOT NULL default '',
		poll_opt_17 varchar(200) NOT NULL default '',
		poll_opt_18 varchar(200) NOT NULL default '',
		poll_opt_19 varchar(200) NOT NULL default '',
		poll_opt_20 varchar(200) NOT NULL default '',
		poll_opt_21 varchar(200) NOT NULL default '',
		poll_opt_22 varchar(200) NOT NULL default '',
		poll_opt_23 varchar(200) NOT NULL default '',
		poll_opt_24 varchar(200) NOT NULL default '',
		poll_opt_25 varchar(200) NOT NULL default '',
		poll_opt_26 varchar(200) NOT NULL default '',
		poll_opt_27 varchar(200) NOT NULL default '',
		poll_opt_28 varchar(200) NOT NULL default '',
		poll_opt_29 varchar(200) NOT NULL default '',
		poll_opt_30 varchar(200) NOT NULL default '',
		poll_opt_31 varchar(200) NOT NULL default '',
		poll_opt_32 varchar(200) NOT NULL default '',
		poll_opt_33 varchar(200) NOT NULL default '',
		poll_opt_34 varchar(200) NOT NULL default '',
		poll_opt_35 varchar(200) NOT NULL default '',
		poll_opt_36 varchar(200) NOT NULL default '',
		poll_opt_37 varchar(200) NOT NULL default '',
		poll_opt_38 varchar(200) NOT NULL default '',
		poll_opt_39 varchar(200) NOT NULL default '',
		poll_opt_40 varchar(200) NOT NULL default '',
		poll_opt_41 varchar(200) NOT NULL default '',
		poll_opt_42 varchar(200) NOT NULL default '',
		poll_opt_43 varchar(200) NOT NULL default '',
		poll_opt_44 varchar(200) NOT NULL default '',
		poll_opt_45 varchar(200) NOT NULL default '',
		poll_opt_46 varchar(200) NOT NULL default '',
		poll_opt_47 varchar(200) NOT NULL default '',
		poll_opt_48 varchar(200) NOT NULL default '',
		poll_opt_49 varchar(200) NOT NULL default '',
		poll_votes_0 MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
		poll_votes_1 MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
		poll_votes_2 MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
		poll_votes_3 MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
		poll_votes_4 MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
		poll_votes_5 MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
		poll_votes_6 MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
		poll_votes_7 MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
		poll_votes_8 MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
		poll_votes_9 MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
		poll_votes_10 MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
		poll_votes_11 MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
		poll_votes_12 MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
		poll_votes_13 MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
		poll_votes_14 MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
		poll_votes_15 MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
		poll_votes_16 MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
		poll_votes_17 MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
		poll_votes_18 MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
		poll_votes_19 MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
		poll_votes_20 MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
		poll_votes_21 MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
		poll_votes_22 MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
		poll_votes_23 MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
		poll_votes_24 MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
		poll_votes_25 MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
		poll_votes_26 MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
		poll_votes_27 MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
		poll_votes_28 MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
		poll_votes_29 MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
		poll_votes_30 MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
		poll_votes_31 MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
		poll_votes_32 MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
		poll_votes_33 MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
		poll_votes_34 MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
		poll_votes_35 MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
		poll_votes_36 MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
		poll_votes_37 MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
		poll_votes_38 MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
		poll_votes_39 MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
		poll_votes_40 MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
		poll_votes_41 MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
		poll_votes_42 MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
		poll_votes_43 MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
		poll_votes_44 MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
		poll_votes_45 MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
		poll_votes_46 MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
		poll_votes_47 MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
		poll_votes_48 MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
		poll_votes_49 MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
		poll_ips text NOT NULL,
		poll_started int(10) unsigned NOT NULL default '0',
		poll_ended int(10) unsigned NOT NULL default '0',
		PRIMARY KEY (poll_id)
	) ENGINE=MyISAM;";

$inf_droptable[1] = DB_IP_POLLS;

$inf_adminpanel[1] = array(
	"title" => $locale['PLAN_ADMIN1'],
	"image" => "image.gif",
	"panel" => "ip_poll_admin.php",
	"rights" => "IPP"
);
?>